#define DEBUG_TYPE "viewcfg"
#include "llvm/Pass.h"
#include "llvm/Function.h"
//#include "llvm/CodeGen/FunctionPass.h"
#include "llvm/Transforms/Custom.h"
#include "llvm/Support/raw_ostream.h"
#include "llvm/ADT/Statistic.h"
using namespace llvm;

//STATISTIC(HelloCounter, "Counts number of functions greeted");

namespace {
  struct ViewCFG : public FunctionPass {
    static char ID; // Pass identification, replacement for typeid
    ViewCFG() : FunctionPass(ID) {
      /// For Windows - because its loader is deficient.
      initializeViewCFGPass(*PassRegistry::getPassRegistry());
    }

    virtual bool runOnFunction(Function &F) {
      F.viewCFG();
      return false;
    }
  };
}

char ViewCFG::ID = 0;
//static RegisterPass<ViewCFG> X("a-view-cfg", "View CFG Pass");

///For Windows - because its loader is deficient.
INITIALIZE_PASS(ViewCFG, "a-view-cfg", "Aarons View CFG Pass", false, false)
///For Windows - because its loader is deficient.
FunctionPass *llvm::createViewCFGPass()
{
  return new ViewCFG();
}

